build.gradle 294 Bytes
Newer Older
1
apply plugin: 'java'
2 3
sourceCompatibility = 1.8
targetCompatibility = 1.8
4 5

dependencies {
6
	compile project(path: ':bramble-api', configuration: 'default')
7
}
8 9 10

// If a Java 6 JRE is available, check we're not using any Java 7 or 8 APIs
tasks.withType(JavaCompile) {
11
	useJava6StandardLibrary(it)
12
}